/* used to generate code for a call parameter that consists of a static
    string (unknown, number, identifier, or quoted string) */!!

inherit(Object, #CLIListStringNode, #(string), 2, nil)!!

now(class(CLIListStringNode))!!

now(CLIListStringNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  argTupleAddArg(getExecutionEngine(CLIExecEngine), nil, asString(string));
}!!

Def init(self, val)
{
  string := val;
}!!
